<h1>Thông Tin Giáo Lý Viên</h1>
<p style="margin: 10px"></p>

<fieldset>
  <div class="block">
    <div class="label">Tên Thánh - Họ và Tên:</div>
    <strong><%= @teacher.name %></strong>
  </div>
  
  <div class="block">
    <div class="label">Ngày Sinh:</div>
    <strong><%= @teacher.date_birth %></strong>
  </div>
  
  <div class="block">
    <div class="label">Nghề Nghiệp:</div>
    <strong><%= @teacher.occupation %></strong>
  </div>
  
  <div class="block">
    <div class="label">Bổn Mạng:</div>
    <strong><%= @teacher.named_date %></strong>
  </div>
  
  <div class="block">
    <div class="label">Số Điện Thoại:</div>
    <strong><%= @teacher.phone %></strong>
  </div>
  
  <div class="block">
    <div class="label">Email:</div>
    <strong><%= @teacher.email %></strong>
  </div>
  
  <div>
    <div class="label">Địa Chỉ:</div>
    <strong><%= @teacher.address %></strong>
  </div>
  
</fieldset>

<%= link_to 'Chỉnh Sửa', edit_teacher_path(@teacher), :class => "button" %>


<div class="divider"></div>
<h1>Hành Trình Thiêng Liêng</h1>

<table>
  <thead>
    <tr>
      <th style='width: 100px'>Năm Học</th>
      <th style='width: 100px'>Tên Lớp</th>
      <th style='width: 100px'>Phụ Trách</th>
      <th style='width: 200px'>Vị Trí</th>
    </tr>
  </thead>

  <tbody>
    <% @cells.each do |cell| %>
    <% instruction = @teacher.instructions.select { |ins| ins.cell_id == cell.id }.first %>
    <% default_location = "Vô Gia Cư"; default_location = cell.location if cell.location? %>
    <% default_position = "_"; default_position = instruction.position if instruction.position? %>
      <tr class="table-row">
        <td style='width: 200px'><%= cell.long_year %></td>
        <td style='width: 200px'><%= link_to cell.name, cell %></td>
        <td style='width: 200px'><%= link_to default_position, edit_instruction_path(instruction.id) %></td>
        <td style='width: 200px'><%= default_location %></td>
      </tr>
    <% end %>
    
    
    
    
    <tr class="table-row">   
      <td id="form" style="font-size: 14px; display: none" colspan="4">
        <% @instruction = Instruction.new %>
        <%= form_for(@instruction) do |f| %>
          <% if @instruction.errors.any? %>
            <div id="error_explanation">
              <h2><%= pluralize(@instruction.errors.count, "error") %> prohibited this instruction from being saved:</h2>
        
              <ul>
              <% @instruction.errors.full_messages.each do |message| %>
                <li><%= message %></li>
              <% end %>
              </ul>
            </div>
          <% end %>
          <%= f.hidden_field :teacher_id, :value => @teacher.id %>
          <select id="year_combobox" onchange="changeCell()">
            <% selected_year = @years[0] %>
            <% @years.each do |year| %>
              <option value="<%=year%>"><%= year.to_s + " - " + (year.to_i+1).to_s %></option>
            <% end %>
          </select>
          <%= f.select :cell_id, options_for_select(@opts), :id => 'cell_id' %>
          <%= f.select :position, options_for_select(["Tu Sĩ", "GLV", "Tiền GLV", "Phụ Tá", "Kiến Tập"]), :style => "width: 98px"%>
          <%= f.submit "Thêm Lớp Mới" %>
        <% end %>
      </td>
    </tr>
  </tbody>
</table>

<center><button id="btn" onClick="showForm()" class="button" style="width:500px">Thêm Lớp Mới</button></center>

<script>
  function showForm() {
    document.getElementById("btn").style.display = "none";
    document.getElementById("form").style.display = "table-cell";
  }
  
  function changeCell() {
    var e = document.getElementById("year_combobox");
    var selected = e.options[e.selectedIndex].value;

    
    //Create array of options to be added
    var hash = {};
    var keys = [];
    
    <% Cell.all.sort_by{|c| c.sort_param}.each do |cell| %>
    if(selected == "<%= cell.year %>") {
      hash[<%= cell.id %>] = "<%= cell.name %>";
      keys.push(<%= cell.id %>);
    }
    <% end %>
    
    
    var list = document.getElementById("instruction_cell_id");
    list.options.length = 0;
    
    
    //Create and append the options
    for (var i = 0; i < keys.length; i++) {
        var option = document.createElement("option");
        option.value = keys[i];
        option.text = hash[keys[i]];
        list.appendChild(option); 
    }
    
  }
</script>